Loading...
Searching...
No Matches
AVSmpte436mCodedAnc Struct Reference

An encoded ANC packet within a single AV_CODEC_ID_SMPTE_436M_ANC AVPacket's data. More...

`#include <libavcodec/smpte_436m.h>`

## Data Fields

uint16_t | line_number
AVSmpte436mWrappingType | wrapping_type
AVSmpte436mPayloadSampleCoding | payload_sample_coding
uint16_t | payload_sample_count
uint32_t | payload_array_length
uint8_t | payload [AV_SMPTE_436M_CODED_ANC_PAYLOAD_CAPACITY]
| the payload, has size payload_array_length.

## Detailed Description

An encoded ANC packet within a single AV_CODEC_ID_SMPTE_436M_ANC AVPacket's data.

The repeated section of Table 7 (page 13) of: https://pub.smpte.org/latest/st436/s436m-2006.pdf

Definition at line 117 of file smpte_436m.h.

## Field Documentation

## line_number

uint16_t AVSmpte436mCodedAnc::line_number

Definition at line 118 of file smpte_436m.h.

## wrapping_type

AVSmpte436mWrappingType AVSmpte436mCodedAnc::wrapping_type

Definition at line 119 of file smpte_436m.h.

## payload_sample_coding

AVSmpte436mPayloadSampleCoding AVSmpte436mCodedAnc::payload_sample_coding

Definition at line 120 of file smpte_436m.h.

## payload_sample_count

uint16_t AVSmpte436mCodedAnc::payload_sample_count

Definition at line 121 of file smpte_436m.h.

## payload_array_length

uint32_t AVSmpte436mCodedAnc::payload_array_length

Definition at line 122 of file smpte_436m.h.

## payload

uint8_t AVSmpte436mCodedAnc::payload[AV_SMPTE_436M_CODED_ANC_PAYLOAD_CAPACITY]

the payload, has size payload_array_length.

can be decoded into AVSmpte291mAnc8bit

Definition at line 126 of file smpte_436m.h.

The documentation for this struct was generated from the following file:

- libavcodec/smpte_436m.h